 @import url('https://fonts.googleapis.com/css2?family=Abhaya+Libre:wght@500&family=Alegreya:wght@600&family=Allura&family=Bakbak+One&family=DM+Sans:opsz@9..40&family=Great+Vibes&family=IBM+Plex+Mono:wght@700&family=IBM+Plex+Sans+Condensed:wght@700&family=Italianno&family=Kaushan+Script&family=Metal+Mania&family=Open+Sans&family=Oswald:wght@700&family=Pacifico&family=Parisienne&family=Poppins:wght@300&family=Princess+Sofia&family=Sacramento&family=WindSong:wght@400;500&display=swap');

body {
    position: relative;
    overflow: hidden;
}

.heroSection {
    width: 100%;
    height: 700px;
    display: flex;
    align-items: start;
    justify-content: space-around;
    flex-wrap: wrap;
}

.text,
.images {
    width: max(40%, 300px);
    height: 500px;
    flex-grow: 1;
    flex-basis: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 0;
    position:relative;
}
.MainHeading{
    margin: 30px;
    padding: 0;
    position: static;
    text-align:center;
}
.text {
     /*background-color: red; */
}

.images {
     /*background-color: pink; */
}

.welcomeMessage {
    font-size: 5rem;
    color: var(--text);
    font-family: 'Italianno';
    font-weight: 900;
}

.MainHeading {
    font-size: 2.5rem;
    font-family: cursive;
    z-index: 100;
}

.heading {
    font-size: 2.7rem;
    font-family: 'Kaushan Script';
    text-wrap: balance;
    height: 70px;
    overflow: hidden;
    position: relative;
}

.hide {
    margin: 20px;
    position: relative;
    color: var(--text);
}

.highlight {
    font-size: clamp(13px, 7vw , 42px) !important;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-image: linear-gradient(135deg, #bd3253, #499932);
    padding: 10px;
}

.Sub_text {
    margin: 20px 0 0 0;
    font-size: 1.4em;
}
.Btn_Container{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 18px;
    flex-wrap:wrap;
    height: 80px;
    z-index:12;
}
.ActionBtnWrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: red;
    width: 300px;
    height: 70px;
}

#body {
    overflow: hidden;
}

.MainHeading {
    font-size: 2.5rem;
    border: none;
}

.ScoialIcons {
    display: flex;
    justify-content: center;
    align-items: center;
    /*flex-direction:column;*/
    gap: 20px;
}

.counter {
    color: #fff;
    margin: 10px;
    font-size: 1.15rem;
    text-align: center;
}

.Logo_Wrapper {
    width: 100%;
    height: calc(100vh - 120px);
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
}

.GSAP_Logo_Animation {
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.E-Bookbtn {
    width: 220px;
    height: 45px;
    background-image: linear-gradient(90deg, #FFCB00, #e6a017);
    border: none;
    border-radius: 15px;
    font-size: 1.5em;
    overflow: hidden;
    transition: 0.5s;
    position: relative;
    margin: 20px 0 0 0;
    font-family: 'Oswald';
    font-style: italic;
}

.E-Bookbtn::before {
    content: "";
    position: absolute;
    inset: 0;
    margin: auto;
    width: 0px;
    height: 0px;
    border-radius: 100%;
    transition: 0.34546s;
    left: -3px;
    opacity: 0.2;
}

.Actionbtn {
    z-index: 100;

}

.E-Bookbtn:hover::before {
    animation: removeBg 0.5s linear 1;
}

.E-Bookbtn:active::before,
.E-Bookbtn:hover::before {
    width: 250px;
    height: 250px;
    background-color: #000;
    cursor: pointer;
}

.heroSectionImages {
    position: absolute;
    top:22%;
}

.svg {
    top: 200px;
    right: 140px;
}

.book {
    right: 250px;
    top: 160px;
}

.Icon {
    position: fixed;
    top: 10px;
    right: 10px;
    font-size: 1.4rem;
}

.Icon:hover {
    cursor: pointer;
}

@media (max-width:1000px) {
    
    .GSAP_Background_image{
        width: 260px;
    }
    .heroSectionImages{
        top: max(30% , 185px);
    }
    .Svg_Shape{
        width:250px;
    }
    .Books_img{
        width:130px;
    }
    .text{
        top:-10%;
    }
    .images{
        top: -20%;
    }
    .MainHeading,.heading{
        font-size:clamp(12px, 7vw , 40px) !important
    }
}
